/*
 * $Id: MapPropertiesTest.java 9 2007-02-06 18:20:13Z max $
 * 
 * Copyright (c) 2006-2007 Maximilian Antoni. All rights reserved.
 * 
 * This software is licensed as described in the file LICENSE.txt, which you
 * should have received as part of this distribution. The terms are also
 * available at http://www.maxantoni.de/projects/eva-properties/license.txt.
 */
package com.eva.properties;

import java.io.IOException;
import java.util.Map;

import junit.framework.TestCase;

/**
 * @author Max Antoni
 * @version $Revision: 9 $
 */
public class MapPropertiesTest extends TestCase {
    
    public void testJokerKey() throws IOException {
        Map properties = PropertiesFactory.createMap(
                "classpath://com/eva/properties/jokerkey.eva");
        assertEquals("eins", properties.get("foo.1"));
        assertEquals("zwei", properties.get("foo.2"));
        assertEquals("drei", properties.get("foo.3"));
        assertEquals("Joker", properties.get("foo.4"));
        
        assertEquals("eins", properties.get("bar.1"));
        assertEquals("zwei", properties.get("bar.2"));
        assertEquals("drei", properties.get("bar.3"));
        assertNull(properties.get("bar.4"));
        
        assertEquals("Root Joker", properties.get("doo"));
    }
    
    public void testSet() {
        Map map = PropertiesFactory.createMap();
        map.put("a.b.c", "Hiya");
        assertEquals("Hiya", map.get("a.b.c"));
        assertTrue(map.get("a") instanceof Map);
        assertTrue(((Map) map.get("a")).get("b") instanceof Map);
        assertEquals("Hiya", ((Map) ((Map) map.get("a")).get("b")).get("c"));
        
    }

}